@import 'common';

// reset external css for header so header behaves the same on all services
#rps-header {
  @include reset;
  @include display-font-awesome;
}

// with the class this has a higher specificity than the reset above, so our new styles are applied
#rps-header.rps-header {
  height: $navbar-height;
  position: relative;
  margin-left: -50vw;
  left: 50%;
  width: 100vw;
  background-color: $base-background;
  z-index: 99999;

  box-sizing: border-box;
  font-family: $body-family;

  .rps-header-container {
    padding-right: $navbar-content-padding;
    padding-left: $navbar-content-padding;
    max-width: $container-max-width;
    display: flex;
    justify-content: space-between;
    margin: auto;
    height: 100%;

    .logo {
        a {
        text-decoration: none;
        }

        .navbar-brand {
        img {
            height: 80px;
            padding: 10px;
        }
        }
    }

    .mobile-nav-button {
        display: none;
    }


    .nav-menu {
        display: inline-grid;
        .nav-top {
        display: inline-flex;
        justify-content: flex-end;
        height: 30px;
        line-height: 30px;
        margin-top: 0px;
        li {
            display: flex;

            .authButton {
            border: none;
            font-size: $body-font-size-s;
            font-weight: 400;
            color: white !important;
            background-color:$grey-color;
            margin-left: 0.5rem;
            text-decoration: none;
            cursor: pointer;
            border-radius: 0px !important;
            transition: all 0.3s ease !important;
            padding: 0px 10px;
            }
        }
        }
        .nav-bottom {
        display: inline-flex;
        height: 60px;
        line-height: 60px;
        justify-content: end;
        padding-right: 10px;
        margin-top: 0px;
        padding-left: 0px;

        li {
            display: flex;

            p {
                padding: 0 1em;
            }

            &:hover {

            .drop-menu, .mega-box {
                transition: all 0.5s ease-out;
                top: 80px;
                opacity: 1;
                visibility: visible;

                a {
                text-decoration: none;
                }
            }
            }
            .drop-menu {
            position: absolute;
            background: $base-background;
            max-width: 100%;
            line-height: 45px;
            top: 95px;
            opacity: 0;
            visibility: hidden;
            box-shadow: 0 4px 6px rgb(0 0 0 / 15%);
            padding-left: 0px;
            margin-left: 15px;

            li {
                width: 100%;
                a {
                padding-left: 20px;
                padding-right: 20px;
                color: $text-color;
                }

                &:hover {
                opacity: 1;
                visibility: visible;
                background-color: $grey-background-color;
                }
            }
            }
            .nav-link {
            font-weight: 600;
            margin-left: 20px;
            padding-bottom: 10px;
            color: $base-color;
            text-align: left;
            cursor: pointer;
            text-decoration: none;
            display: inline;
            position: relative;
            overflow: hidden;

            &:after {
                content: "";
                position: absolute;
                z-index: -1;
                right: 0;
                width: 0;
                bottom: 10px;
                background: $base-color;
                height: 2px;
                border-radius: 3px;
                transition-property: width;
                transition-duration: 0.3s;
                transition-timing-function: ease-out;
            }

            &:hover:after,
            &:focus:after,
            &:active:after {
                left: 0;
                right: auto;
                width: 100%;
            }
            }
            .mega-box {
            /*
            position: absolute;
            left: 0;
            width: 100%;
            padding: 0px;
            top: 105px;
            opacity: 0;
            visibility: hidden;
            */
            position: absolute;
            left: 0;
            width: 90%;
            padding: 0px;
            top: 105px;
            opacity: 0;
            visibility: hidden;
            display: inherit;
            margin-left: 5%;

            .content {
                background: $base-background;
                padding: 25px 20px;
                display: flex;
                width: 100%;
                justify-content: space-around;
                box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);

                .row {
                width: calc(25% - 30px);
                line-height: 45px;

                header {
                    color: $text-color;
                    font-size: $body-font-size-m;
                    font-weight: 600;
                    border-bottom: 0.5px solid rgba(155, 155, 155, 0.49)
                }

                .mega-links {

                    border-left: 1px solid rgba(255, 255, 255, 0.09);
                    padding-left: 0px;
                    li {
                    a {
                        color: $base-color;
                        font-size: $body-font-size-m;
                        display: block;
                        width: 100%;
                        padding-left: 10px;
                        padding-right: 10px;

                        &:hover {
                        background-color: $grey-background-color;
                        }
                    }
                    }
                }
                }
            }
            }
        }
        .menu-top-mobile {
            display: none;
        }
        }
    }

    ~ div {
        padding-top: $navbar-height !important;
    }
  }
}


@media screen and (max-width: 970px) {
  #rps-header.rps-header {

    .rps-header-container {
        padding-left: 5%;

        .mobile-nav-button {
        display: block !important;
        position: absolute;
        padding: 30px;
        right: 0px;
        top: 0px;
        font-size: $body-font-size;
        color: $text-color;
        }

        .menu-top-mobile {
        display: none;
        }

        .nav-menu {
        position: fixed;
        height: 100vh;
        width: 100%;
        top: 100px !important;
        left: -106%;
        background: $base-background;
        display: block;
        padding: 0px 10px;
        line-height: 40px;
        overflow-y: auto;
        box-shadow: 0px 15px 15px rgba(0, 0, 0, 0.18);
        transition: all 0.3s ease;

        a {
            padding: 0 10px;
            display: block;
            font-size: $body-font-size-m;
        }

        .nav-top {
            display: none !important;
        }

        .menu-top-mobile {
            display: flex;
        }

        .nav-bottom {

            all: unset;
            display: revert !important;


            li {
            display: block !important;
            border-bottom: 1px solid $text-color;

            &:hover {
                .drop-menu {
                position: inherit;
                top: 100px;
                margin-left: 20px;
                width: 100%;
                opacity: 1 !important;
                visibility: visible !important;
                transition: all 0.3s ease !important;
                box-shadow: none !important;

                li {
                    border-bottom: 0px solid $text-color !important;
                }
                }

                .mega-box {
                position: inherit;
                margin-left: 20px;
                width: 100%;
                opacity: 1 !important;
                visibility: visible !important;
                transition: all 0.3s ease !important;

                .content {
                    flex-wrap: wrap;
                    box-shadow: none !important;
                    padding: 5px 20px !important;
                    .row {
                    width: 100%;
                    line-height: 38px;

                    header {
                        font-size: $body-font-size-m;
                    }

                    .mega-links {
                        li {
                        padding-left: 0px;
                        }
                    }
                    }

                    li {
                    border-bottom: 0px solid $text-color !important;
                    }
                }
                }
            }

            .nav-link {
                padding-bottom: 0px !important;
                text-decoration: none !important;
                &:after {
                bottom: 0px;
                }
            }
            }
        }
        }

        .show-mobile {
            left: -10px;
            visibility: visible;
            top: $navbar-height;
            height: calc(100% - $navbar-height) !important;
        }
    }
  }
}

